# Class CIM_ServiceServiceDependency
extends CIM_ProvidesServiceToElement

CIM_ServiceServiceDependency is an association between a Service and another Service, which indicates that the latter cooperates with the former, is required to be present, required to have completed, or must be absent for the former Service to provide its functionality. For example, Boot Services might be dependent upon underlying system initialization Services. In the case of the initialization Services, the Boot Service might be dependent on the completion of the init Services. When examining the ServiceServiceDependency class definition, note that its superclass ProvidesServiceToElement is deprecated. Unfortunately, ProvidesServiceToElement cannot be removed from the object hierarchy without a major Schema release. When or if a major release occurs, the ProvidesServiceToElement superclass will be removed, and ServiceServiceDependency will subclass from CIM_Dependency directly.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ProvidesServiceToElement
|
+--CIM_ServiceServiceDependency

## Direct Known Subclasses

CIM_CalculationBasedOnQueue
CIM_CalculationServiceForDropper
CIM_EGPRouteCalcDependency
CIM_QueueHierarchy
CIM_RelatedSpanningTree
CIM_SchedulerUsed
CIM_ServiceUsesSecurityService

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

CIM_ServiceServiceDependency is an association between a Service and another Service, which indicates that the latter cooperates with the former, is required to be present, required to have completed, or must be absent for the former Service to provide its functionality. For example, Boot Services might be dependent upon underlying system initialization Services. In the case of the initialization Services, the Boot Service might be dependent on the completion of the init Services. When examining the ServiceServiceDependency class definition, note that its superclass ProvidesServiceToElement is deprecated. Unfortunately, ProvidesServiceToElement cannot be removed from the object hierarchy without a major Schema release. When or if a major release occurs, the ProvidesServiceToElement superclass will be removed, and ServiceServiceDependency will subclass from CIM_Dependency directly.

UMLPackagePath | string | CIM::Core::Service
Version | string | 2.16.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
RestartService | boolean |
Description | string | This property describes that the Antecedent Service must be restarted after the Dependent operation is complete.
TypeOfDependency | uint16 |

Description

string

The nature of the Service-to-Service dependency. 2 - Antecedent Service shall have completed before Dependent service's functionality is available. 3 - Antecedent Service shall have started before Dependent service's functionality is available. 4 - Antecedent Service shall not be started in order for Dependent service's functionality to be available. 5 - The two Services cooperate and augment each other's function. There is no requirement implied by this value regarding the execution of the Antecedent service in order for the Dependent service to operate.

ValueMap | string | 0, 1, 2, 3, 4, 5
Values | string | Unknown, Other, Service Must Have Completed, Service Must Be Started, Service Must Not Be Started, Cooperate

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ServiceServiceDependency | CIM_Service
Dependent | CIM_ServiceServiceDependency | CIM_Service

## Class Methods